module SmartlingXcode
  VERSION = "0.1.6"
  USAGE = <<ENDUSAGE
Smartling utility to extract strings from an Xcode project 
and add them to a Smartling project.
Version #{VERSION}

Usage:
  smartling_xcode command [project_path] [-v version]
  smartling_xcode -h/--help

Commands:
  init        Configure the current folder with Smartling
              project credentials to be able to push 
              strings.
  extract     Extract all strings from the Xcode project 
              and print out the list of .strings files.
  push        Extract all strings from the Xcode project 
              and send them to your Smartling project.

Options:
  project_path   Specify a path for the Xcode project. 
                 Uses the first .xcodeproj file in the 
                 current directory by default.
  -v version     Specify an app version for the strings 
                 files upload. Uses the version found in 
                 the project's info.plist file by default, 
                 but will prompt for a choice if multiple 
                 plist files are found.
  -s             Use the sandbox server.

ENDUSAGE

end
